<div id="bookings">
    <h1>Affluences</h1>
    <form
        *ngIf="dataLoaded; else dataUnloaded"
        [formGroup]="formGroup"
        (ngSubmit)="onSubmit()">
        <span>Please select a date and an hour to check if the resource is available</span>
        <div>
            <input
                formControlName="date"
                type="date">
            <input
                formControlName="hour"
                type="time">
        </div>
        <button
            mat-stroked-button
            color="primary"
            type="submit"
            [disabled]="!formGroup.valid">
            <mat-spinner
                *ngIf="resourceService.busy"
                diameter="20">
            </mat-spinner>
            Submit
        </button>
    </form>
    <ng-template #dataUnloaded>
        <mat-spinner></mat-spinner>
    </ng-template>
</div>
